# class Xapian::Xapian::Query

Refer to the Xapian::Query C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

terms() click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 166
    def terms
      Xapian._safelyIterate(self._dangerous_terms_begin(), self._dangerous_terms_end()) { |item|
        Xapian::Term.new(item.term, item.wdf)
        # termfreq is not supported by TermIterators from Queries
      }
    end